/*
 *	FZ-1 toolkit
 *	(c) 2000 by Rainer Buchty (rainer@buchty.net)
 *
 *	floppy raw routines 
 */
 
#include<stdio.h>
#include<stdlib.h>
#include<linux/fd.h>
#include<linux/fdreg.h>
#include<sys/ioctl.h>
#include<fcntl.h>
#include<unistd.h>
#include<errno.h>

static char *st1_err[]={
	"Missing Address Mark",
	"Disk is write protected",
	"No Data",
	"",
	"No service within required time",
	"CRC Error",
	"",
	"End of Cylinder"
};

static char *st2_err[]={
	"Missing Data Address Mark",
	"Bad Cylinder",
	"",
	"",
	"Wrong Cylinder",
	"CRC Error in Data Field",
	"Control Mark",
	""
};

extern void hexdump(char *buf, int size);
extern int init_disk(int drive);
extern int checkwp(int drive);
extern int sector_read(int drive, int s, char *data);
extern int sector_write(int drive, int s, char *data);
extern int m_sector_read(int drive, int bs, int es, char *data);
extern int m_sector_write(int drive, int bs, int es, char *data);
extern int format_track(int drive, int c, int h);
